com.corticon.rulesemf.asg.util

## Class AsgSwitch

- java.lang.Object
- - com.corticon.rulesemf.asg.util.AsgSwitch

-     public class AsgSwitch
      extends java.lang.Object

  The Switch for the model's inheritance hierarchy. It supports the call `doSwitch(object)` to invoke the `caseXXX` method for each class of the model, starting with the actual class of the object and proceeding up the inheritance hierarchy until a non-null result is returned, which is the result of the switch.
  See Also:
    `AsgPackage`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static AsgPackage` | `modelPackage` The cached model package

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AsgSwitch()` Creates an instance of the switch

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `caseExpression(Expression object)` Returns the result of interpreting the object as an instance of 'Expression'
    `java.lang.Object` | `caseExpressionList(ExpressionList object)` Returns the result of interpreting the object as an instance of 'Expression List'
    `java.lang.Object` | `caseParserOutput(ParserOutput object)` Returns the result of interpreting the object as an instance of 'Parser Output'
    `java.lang.Object` | `caseTerm(Term object)` Returns the result of interpreting the object as an instance of 'Term'
    `java.lang.Object` | `caseTermList(TermList object)` Returns the result of interpreting the object as an instance of 'Term List'
    `java.lang.Object` | `caseToken(Token object)` Returns the result of interpreting the object as an instance of 'Token'
    `java.lang.Object` | `caseVariable(Variable object)` Returns the result of interpreting the object as an instance of 'Variable'
    `java.lang.Object` | `defaultCase(org.eclipse.emf.ecore.EObject object)` Returns the result of interpreting the object as an instance of 'EObject'
    `protected java.lang.Object` | `doSwitch(org.eclipse.emf.ecore.EClass theEClass, org.eclipse.emf.ecore.EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result
    `java.lang.Object` | `doSwitch(org.eclipse.emf.ecore.EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result
    `protected java.lang.Object` | `doSwitch(int classifierID, org.eclipse.emf.ecore.EObject theEObject)` Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### modelPackage

          protected static AsgPackage modelPackage

      The cached model package

  - ### Constructor Detail

    - #### AsgSwitch

          public AsgSwitch()

      Creates an instance of the switch.

  - ### Method Detail

    - #### doSwitch

          public java.lang.Object doSwitch(org.eclipse.emf.ecore.EObject theEObject)

      Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.
      Returns:
        the first non-null result returned by a `caseXXX` call.

    - #### doSwitch

          protected java.lang.Object doSwitch(org.eclipse.emf.ecore.EClass theEClass,
                                  org.eclipse.emf.ecore.EObject theEObject)

      Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.
      Returns:
        the first non-null result returned by a `caseXXX` call.

    - #### doSwitch

          protected java.lang.Object doSwitch(int classifierID,
                                  org.eclipse.emf.ecore.EObject theEObject)

      Calls `caseXXX` for each class of the model until one returns a non null result; it yields that result.
      Returns:
        the first non-null result returned by a `caseXXX` call.

    - #### caseExpression

          public java.lang.Object caseExpression(Expression object)

      Returns the result of interpreting the object as an instance of 'Expression'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Expression'.
      See Also:
        `doSwitch(EObject)`

    - #### caseExpressionList

          public java.lang.Object caseExpressionList(ExpressionList object)

      Returns the result of interpreting the object as an instance of 'Expression List'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Expression List'.
      See Also:
        `doSwitch(EObject)`

    - #### caseTerm

          public java.lang.Object caseTerm(Term object)

      Returns the result of interpreting the object as an instance of 'Term'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Term'.
      See Also:
        `doSwitch(EObject)`

    - #### caseTermList

          public java.lang.Object caseTermList(TermList object)

      Returns the result of interpreting the object as an instance of 'Term List'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Term List'.
      See Also:
        `doSwitch(EObject)`

    - #### caseToken

          public java.lang.Object caseToken(Token object)

      Returns the result of interpreting the object as an instance of 'Token'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Token'.
      See Also:
        `doSwitch(EObject)`

    - #### caseVariable

          public java.lang.Object caseVariable(Variable object)

      Returns the result of interpreting the object as an instance of 'Variable'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Variable'.
      See Also:
        `doSwitch(EObject)`

    - #### caseParserOutput

          public java.lang.Object caseParserOutput(ParserOutput object)

      Returns the result of interpreting the object as an instance of 'Parser Output'. This implementation returns null; returning a non-null result will terminate the switch.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'Parser Output'.
      See Also:
        `doSwitch(EObject)`

    - #### defaultCase

          public java.lang.Object defaultCase(org.eclipse.emf.ecore.EObject object)

      Returns the result of interpreting the object as an instance of 'EObject'. This implementation returns null; returning a non-null result will terminate the switch, but this is the last case anyway.
      Parameters:
        `object` - the target of the switch.
      Returns:
        the result of interpreting the object as an instance of 'EObject'.
      See Also:
        `doSwitch(org.eclipse.emf.ecore.EObject)`

Copyright © 2005-2013 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.